Skip to main content
POST
Activate a counterparty

Authorizations

X-Ivy-Api-Key
string
header
required

API key for authentication

Headers

Idempotency-Key
string

Idempotency key for safe retries. Reusing a key with an identical request body returns the cached response. Reusing a key with a different body returns 409.

Body

application/json
id
string<uuid>
required

The counterparty id

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

200 - application/json

The counterparty

status
enum<string>
required

The counterparty lifecycle status

Available options:
pending,
active,
rejected
id
string
required

The counterparty id

name
string | null
required

The counterparty name

entityType
enum<string>
required

Whether the counterparty is an individual, business, sole proprietor or non-profit

Available options:
business,
individual,
non_profit,
sole_proprietor
isSelfOwned
boolean
required

Whether the counterparty is owned by the merchant

blocked
boolean
required

Whether payments to and from the counterparty are blocked

financialAddress
object
required

The counterparty financial address

physicalAddress
object | null
required

The counterparty physical address

dateOfBirth
string | null
required

The counterparty date of birth as YYYY-MM-DD

metadata
object
required

The counterparty metadata

createdAt
string<date-time>
required

When the counterparty was created

updatedAt
string<date-time>
required

When the counterparty was last updated